Get web client config
GET /api/v1/web-client/config
Get the configuration of the web client. This endpoint is typically one of the first invoked, and does not require authentication. It provides general settings for the web client independent of users.
Responses
| Status | Description |
|---|---|
200 | Successful Response |
Response body
| Field | Type | Required | Description |
|---|---|---|---|
app_mode | AppMode | yes | — |
posthog_client_key | `string | null` | yes |
feature_flags | WebClientFeatureFlags | yes | — |
providers_configured | ProviderType[] | yes | — |
maintenance_start_time | `string | null` | yes |
auth_url | `string | null` | yes |
recaptcha_site_key | `string | null` | yes |
faulty_models | string[] | yes | — |
error_message | `string | null` | yes |
updated_at | string | yes | — |
github_app_slug | `string | null` | yes |
gitlab_enabled | boolean | no | — |
provider_default_hosts | object | no | — |
slack_enabled | boolean | no | — |
email_enabled | boolean | no | — |
email_change_enabled | boolean | no | — |
acp_providers | ACPProviderConfig[] | no | — |
jira_dc_oauth_host | `string | null` | no |
jira_dc_service_account_managed | boolean | no | — |
jira_dc_service_account_email | `string | null` | no |
jira_dc_service_account_config_error | `string | null` | no |
kind | string | yes | — |
Operation ID: get_web_client_config_api_v1_web_client_config_get